KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME
kubeadm init phase kubeconfig kubelet - Generate a kubeconfig file for the kubelet to use only for cluster bootstrapping purposes

SYNOPSIS
kubeadm init phase kubeconfig kubelet [OPTIONS]

DESCRIPTION
Generate the kubeconfig file for the kubelet to use and save it to kubelet.conf file.

Please note that this should only be used for cluster bootstrapping purposes. After your control plane is up, you should request all kubelet credentials from the CSR API.

OPTIONS
--apiserver-advertise-address=""
    The IP address the API Server will advertise it's listening on. If not set the default network interface will be used.

--apiserver-bind-port=6443
    Port for the API Server to bind to.

--cert-dir="/etc/kubernetes/pki"
    The path where to save and store the certificates.

--config=""
    Path to a kubeadm configuration file.

--control-plane-endpoint=""
    Specify a stable IP address or DNS name for the control plane.

--dry-run=false
    Don't apply any changes; just output what would be done.

--kubeconfig-dir="/etc/kubernetes"
    The path where to save the kubeconfig file.

--kubernetes-version="stable-1"
    Choose a specific Kubernetes version for the control plane.

--node-name=""
    Specify the node name.

OPTIONS INHERITED FROM PARENT COMMANDS
--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

SEE ALSO
kubeadm-init-phase-kubeconfig(1),

HISTORY
January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!